Mailinglist Archive: opensuse-updates (200 mails)

< Previous Next >
openSUSE-SU-2013:1027-1: moderate: update for libXres
openSUSE Security Update: update for libXres
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:1027-1
Rating: moderate
References: #815451 #821663
Cross-References: CVE-2013-1988
Affected Products:
openSUSE 12.3
openSUSE 12.2
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:

This update of libXres fixes several integer overflow
issues.
-
U_0001-integer-overflow-in-XResQueryClients-CVE-2013-1988-1.
patch,
U_0002-integer-overflow-in-XResQueryClientResources-CVE-201.
patch
* integer overflow in XResQueryClients(),
XResQueryClientResources() [CVE-2013-1988]
(bnc#821663, bnc#815451)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.3:

zypper in -t patch openSUSE-2013-506

- openSUSE 12.2:

zypper in -t patch openSUSE-2013-506

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.3 (i586 x86_64):

libXRes1-1.0.6-4.4.1
libXRes1-debuginfo-1.0.6-4.4.1
libXres-debugsource-1.0.6-4.4.1
libXres-devel-1.0.6-4.4.1

- openSUSE 12.3 (x86_64):

libXRes1-32bit-1.0.6-4.4.1
libXRes1-debuginfo-32bit-1.0.6-4.4.1
libXres-devel-32bit-1.0.6-4.4.1

- openSUSE 12.2 (i586 x86_64):

libXRes1-1.0.6-2.4.1
libXRes1-debuginfo-1.0.6-2.4.1
libXres-debugsource-1.0.6-2.4.1
libXres-devel-1.0.6-2.4.1

- openSUSE 12.2 (x86_64):

libXRes1-32bit-1.0.6-2.4.1
libXRes1-debuginfo-32bit-1.0.6-2.4.1
libXres-devel-32bit-1.0.6-2.4.1


References:

http://support.novell.com/security/cve/CVE-2013-1988.html
https://bugzilla.novell.com/815451
https://bugzilla.novell.com/821663


< Previous Next >
This Thread
  • No further messages